%define python3_pkgversion 3.11
%global pypi_name colorama
%global pypi_version 0.4.4

# Created by pyp2rpm-3.3.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        3.0.2%{?dist}
Summary:        Cross-platform colored terminal text

License:        BSD
URL:            https://github.com/tartley/colorama
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

sed -i '/long_description=/ s/=.*/="colorama",/' setup.py
%{?scl:EOF}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Aug 5 2024 Darren Archibald <darren.archibald@oracle.com>  0.4.4-3.0.2
- Rebuild for python3.11

* Wed Feb 1 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 0.4.4-3.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 0.4.4-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 0.4.4-2
- Build against Python 3.8

* Thu Oct 29 2020 Evgeni Golov 0.4.4-1
- Update to 0.4.4

* Tue Aug 25 2020 Evgeni Golov - 0.4.3-1
- Initial package.
